# ``twisted`.`python`.`_release`.`IVCSCommand``

interface documentation

`class IVCSCommand(Interface): (source)`

Known implementations: `twisted.python._release.GitCommand`

View In Hierarchy

An interface for VCS commands.

Method | `ensureIsWorkingDirectory` | Ensure that `path` is a working directory of this VCS.
Method | `exportTo` | Export the content of the VCSrepository to the specified directory.
Method | `isStatusClean` | Return the Git status of the files in the specified path.
Method | `remove` | Remove the specified path from a the VCS.

def ensureIsWorkingDirectory(path): (source)
Ensure that `path` is a working directory of this VCS.

Parameters
path:`twisted.python.filepath.FilePath` | The path to check.

def exportTo(fromDir, exportDir): (source)
Export the content of the VCSrepository to the specified directory.

Parameters
fromDir:`twisted.python.filepath.FilePath` | The path to the VCS repository to export.
exportDir:`twisted.python.filepath.FilePath` | The directory to export the content of the repository to. This directory doesn't have to exist prior to exporting the repository.

def isStatusClean(path): (source)
Return the Git status of the files in the specified path.

Parameters
path:`twisted.python.filepath.FilePath` | The path to get the status from (can be a directory or a file.)

def remove(path): (source)
Remove the specified path from a the VCS.

Parameters
path:`twisted.python.filepath.FilePath` | The path to remove from the repository.